cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Flexera beginner

launch condition for 4.8 framework

Hi Team,

I have given launch condition to detect .net 4.8 frameworks in installer below

DOTNETVERSION48>="4.8.01000"

Microsoft .NET Framework 4.8 must be installed before the installation can continue. To install or configure .NET Framework, either use the Turn Windows features on or off option from the Control Panel or download and install it from http://www.microsoft.com/downloads/default.aspx.

if in machine .net 4.8 is not available then it is showing the right message

but in another scenario like in machine 4.8 is there in that case also displaying the same message

i believe condition DOTNETVERSION48>="4.8.01000" must be changed could you please suggest

Labels (1)
0 Kudos
3 Replies
Revenera
Revenera

Re: launch condition for 4.8 framework

A launch condition can be created in the system search view.
Here you can search for a registry entry and link it to a Property value.

For example for the provided .NET 4.7.2 launch condition Installshield creates a system search which looks at the registry HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full\Release

It then stores the value of this registry entry in Property DOTNETVERSION472FULL

This property can then be used in a launch condition. A similar approach can be used for .NET 4.8 - you will need to check what the  registry release value is so you can correctly use it to specify the condition.

0 Kudos
Highlighted
Flexera beginner

Re: launch condition for 4.8 framework

Thanks for quick reply !

can you please clarify which condition shall i use i can see release number(528040) for 4.8 framework in  HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full\Release and version i can see 4.8.03752

in launch condition i have set DOTNETVERSION48>="4.8.01000"  but this is not working can you please suggest what i am missing

0 Kudos
Highlighted
Revenera
Revenera

Re: launch condition for 4.8 framework


I think the issue here is that DOTNETVERSION48 does not have a value - therefore your condition make no sense as it cannot be greater or equal to anything.

Installshield 2020 R1 comes prebuilt with a .NET 4.8 launch condition.

To replicate this you will first need to create a Registry System Search (You can find this under Behaviour and logic in your project)
Within the System Search use the following values:
Registry Root: HKEY_LOCAL_MACHINE
Registry Key: SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full
Registry Value: Release

On the next dialog, use this Property Name to store the value: DOTNETVERSION48FULL
Then select "Just store the value in the property"

Now you can create the Install Condition which should be:

DOTNETVERSION48FULL>="#528040"

Finally type whatever message you want to appear in the condition builder and then build and test the installation.

0 Kudos